uuagc-bootstrap

Safe Haskell | Safe-Infered

ExecutionPlan2Hs

# Documentation

sem_EChild_ETerm :: Identifier -> Type -> T_EChild

sem_EChildren :: EChildren -> T_EChildren

newtype T_EChildren

Constructors

T_EChildren (Map NontermIdent Int -> ConstructorIdent -> PP_Doc -> String -> String -> (String -> String -> String -> Bool -> String) -> NontermIdent -> Options -> String -> PP_Doc -> ([PP_Doc], [PP_Doc], [PP_Doc], Map Identifier Type, Map Identifier (VisitKind -> FormatMode -> Either Error (PP_Doc, Set String, Map String (Maybe NonLocalAttr))), [PP_Doc], Set String)) |

data Inh_EChildren

Constructors

Inh_EChildren |

Fields

allInitStates_Inh_EChildren :: Map NontermIdent Int
con_Inh_EChildren :: ConstructorIdent
importBlocks_Inh_EChildren :: PP_Doc
mainFile_Inh_EChildren :: String
mainName_Inh_EChildren :: String
moduleHeader_Inh_EChildren :: String -> String -> String -> Bool -> String
nt_Inh_EChildren :: NontermIdent
options_Inh_EChildren :: Options
pragmaBlocks_Inh_EChildren :: String
textBlocks_Inh_EChildren :: PP_Doc

data Syn_EChildren

Constructors

Syn_EChildren |

Fields

argnamesw_Syn_EChildren :: [PP_Doc]
argpats_Syn_EChildren :: [PP_Doc]
argtps_Syn_EChildren :: [PP_Doc]
childTypes_Syn_EChildren :: Map Identifier Type
childintros_Syn_EChildren :: Map Identifier (VisitKind -> FormatMode -> Either Error (PP_Doc, Set String, Map String (Maybe NonLocalAttr)))
datatype_Syn_EChildren :: [PP_Doc]
terminaldefs_Syn_EChildren :: Set String

wrap_EChildren :: T_EChildren -> Inh_EChildren -> Syn_EChildren

sem_EChildren_Cons :: T_EChild -> T_EChildren -> T_EChildren

sem_EChildren_Nil :: T_EChildren

sem_ENonterminal :: ENonterminal -> T_ENonterminal

newtype T_ENonterminal

Constructors

T_ENonterminal (Map VisitIdentifier (Int, Int) -> Map NontermIdent Int -> Map VisitIdentifier VisitKind -> Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc)) -> Map VisitIdentifier (Set Identifier) -> Map VisitIdentifier (Set Identifier) -> Derivings -> PP_Doc -> Map NontermIdent Attributes -> Map NontermIdent (Map ConstructorIdent (Map Identifier Type)) -> String -> String -> (String -> String -> String -> Bool -> String) -> Options -> String -> Map NontermIdent Attributes -> PP_Doc -> TypeSyns -> Set NontermIdent -> (PP_Doc, PP_Doc, Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc)), Seq Error, Map VisitIdentifier (Int, Int), IO (), [PP_Doc], Map NontermIdent Int, PP_Doc, Seq PP_Doc, Seq PP_Doc, Map VisitIdentifier VisitKind, Map VisitIdentifier (Set Identifier), Map VisitIdentifier (Set Identifier)))

data Inh_ENonterminal

Constructors

Inh_ENonterminal |

Fields

allFromToStates_Inh_ENonterminal :: Map VisitIdentifier (Int, Int)
allInitStates_Inh_ENonterminal :: Map NontermIdent Int
allVisitKinds_Inh_ENonterminal :: Map VisitIdentifier VisitKind
allchildvisit_Inh_ENonterminal :: Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc))
avisitdefs_Inh_ENonterminal :: Map VisitIdentifier (Set Identifier)
avisituses_Inh_ENonterminal :: Map VisitIdentifier (Set Identifier)
derivings_Inh_ENonterminal :: Derivings
importBlocks_Inh_ENonterminal :: PP_Doc
inhmap_Inh_ENonterminal :: Map NontermIdent Attributes
localAttrTypes_Inh_ENonterminal :: Map NontermIdent (Map ConstructorIdent (Map Identifier Type))
mainFile_Inh_ENonterminal :: String
mainName_Inh_ENonterminal :: String
moduleHeader_Inh_ENonterminal :: String -> String -> String -> Bool -> String
options_Inh_ENonterminal :: Options
pragmaBlocks_Inh_ENonterminal :: String
synmap_Inh_ENonterminal :: Map NontermIdent Attributes
textBlocks_Inh_ENonterminal :: PP_Doc
typeSyns_Inh_ENonterminal :: TypeSyns
wrappers_Inh_ENonterminal :: Set NontermIdent

data Syn_ENonterminal

Constructors

Syn_ENonterminal |

Fields

appendCommon_Syn_ENonterminal :: PP_Doc
appendMain_Syn_ENonterminal :: PP_Doc
childvisit_Syn_ENonterminal :: Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc))
errors_Syn_ENonterminal :: Seq Error
fromToStates_Syn_ENonterminal :: Map VisitIdentifier (Int, Int)
genProdIO_Syn_ENonterminal :: IO ()
imports_Syn_ENonterminal :: [PP_Doc]
initStates_Syn_ENonterminal :: Map NontermIdent Int
output_Syn_ENonterminal :: PP_Doc
semFunBndDefs_Syn_ENonterminal :: Seq PP_Doc
semFunBndTps_Syn_ENonterminal :: Seq PP_Doc
visitKinds_Syn_ENonterminal :: Map VisitIdentifier VisitKind
visitdefs_Syn_ENonterminal :: Map VisitIdentifier (Set Identifier)
visituses_Syn_ENonterminal :: Map VisitIdentifier (Set Identifier)

wrap_ENonterminal :: T_ENonterminal -> Inh_ENonterminal -> Syn_ENonterminal

sem_ENonterminal_ENonterminal :: NontermIdent -> [Identifier] -> ClassContext -> StateIdentifier -> Maybe VisitIdentifier -> Map StateIdentifier StateCtx -> Map StateIdentifier StateCtx -> T_EProductions -> Bool -> HigherOrderInfo -> T_ENonterminal

sem_ENonterminals :: ENonterminals -> T_ENonterminals

newtype T_ENonterminals

Constructors

T_ENonterminals (Map VisitIdentifier (Int, Int) -> Map NontermIdent Int -> Map VisitIdentifier VisitKind -> Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc)) -> Map VisitIdentifier (Set Identifier) -> Map VisitIdentifier (Set Identifier) -> Derivings -> PP_Doc -> Map NontermIdent Attributes -> Map NontermIdent (Map ConstructorIdent (Map Identifier Type)) -> String -> String -> (String -> String -> String -> Bool -> String) -> Options -> String -> Map NontermIdent Attributes -> PP_Doc -> TypeSyns -> Set NontermIdent -> ([PP_Doc], [PP_Doc], Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc)), Seq Error, Map VisitIdentifier (Int, Int), IO (), [PP_Doc], Map NontermIdent Int, PP_Doc, Seq PP_Doc, Seq PP_Doc, Map VisitIdentifier VisitKind, Map VisitIdentifier (Set Identifier), Map VisitIdentifier (Set Identifier)))

data Inh_ENonterminals

Constructors

Inh_ENonterminals |

Fields

allFromToStates_Inh_ENonterminals :: Map VisitIdentifier (Int, Int)
allInitStates_Inh_ENonterminals :: Map NontermIdent Int
allVisitKinds_Inh_ENonterminals :: Map VisitIdentifier VisitKind
allchildvisit_Inh_ENonterminals :: Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc))
avisitdefs_Inh_ENonterminals :: Map VisitIdentifier (Set Identifier)
avisituses_Inh_ENonterminals :: Map VisitIdentifier (Set Identifier)
derivings_Inh_ENonterminals :: Derivings
importBlocks_Inh_ENonterminals :: PP_Doc
inhmap_Inh_ENonterminals :: Map NontermIdent Attributes
localAttrTypes_Inh_ENonterminals :: Map NontermIdent (Map ConstructorIdent (Map Identifier Type))
mainFile_Inh_ENonterminals :: String
mainName_Inh_ENonterminals :: String
moduleHeader_Inh_ENonterminals :: String -> String -> String -> Bool -> String
options_Inh_ENonterminals :: Options
pragmaBlocks_Inh_ENonterminals :: String
synmap_Inh_ENonterminals :: Map NontermIdent Attributes
textBlocks_Inh_ENonterminals :: PP_Doc
typeSyns_Inh_ENonterminals :: TypeSyns
wrappers_Inh_ENonterminals :: Set NontermIdent

data Syn_ENonterminals

Constructors

Syn_ENonterminals |

Fields

appendCommon_Syn_ENonterminals :: [PP_Doc]
appendMain_Syn_ENonterminals :: [PP_Doc]
childvisit_Syn_ENonterminals :: Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc))
errors_Syn_ENonterminals :: Seq Error
fromToStates_Syn_ENonterminals :: Map VisitIdentifier (Int, Int)
genProdIO_Syn_ENonterminals :: IO ()
imports_Syn_ENonterminals :: [PP_Doc]
initStates_Syn_ENonterminals :: Map NontermIdent Int
output_Syn_ENonterminals :: PP_Doc
semFunBndDefs_Syn_ENonterminals :: Seq PP_Doc
semFunBndTps_Syn_ENonterminals :: Seq PP_Doc
visitKinds_Syn_ENonterminals :: Map VisitIdentifier VisitKind
visitdefs_Syn_ENonterminals :: Map VisitIdentifier (Set Identifier)
visituses_Syn_ENonterminals :: Map VisitIdentifier (Set Identifier)

wrap_ENonterminals :: T_ENonterminals -> Inh_ENonterminals -> Syn_ENonterminals

sem_ENonterminals_Cons :: T_ENonterminal -> T_ENonterminals -> T_ENonterminals

sem_ENonterminals_Nil :: T_ENonterminals

sem_EProduction :: EProduction -> T_EProduction

newtype T_EProduction

Constructors

T_EProduction (Map VisitIdentifier (Int, Int) -> Map NontermIdent Attributes -> Map NontermIdent Int -> Map NontermIdent Attributes -> Map VisitIdentifier VisitKind -> Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc)) -> Set StateIdentifier -> Map VisitIdentifier (Set Identifier) -> Map VisitIdentifier (Set Identifier) -> ClassContext -> PP_Doc -> Attributes -> StateIdentifier -> Map ConstructorIdent (Map Identifier Type) -> String -> String -> (String -> String -> String -> Bool -> String) -> Map StateIdentifier StateCtx -> NontermIdent -> Type -> Options -> [Identifier] -> String -> Map StateIdentifier StateCtx -> Bool -> Attributes -> PP_Doc -> ([VisitStateState], Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc)), Int, PP_Doc, Seq Error, Map VisitIdentifier (Int, Int), IO (), [PP_Doc], Seq PP_Doc, Seq PP_Doc, PP_Doc, PP_Doc, PP_Doc, Map VisitIdentifier VisitKind, Map VisitIdentifier (Set Identifier), Map VisitIdentifier (Set Identifier)))

data Inh_EProduction

Constructors

Inh_EProduction |

Fields

allFromToStates_Inh_EProduction :: Map VisitIdentifier (Int, Int)
allInhmap_Inh_EProduction :: Map NontermIdent Attributes
allInitStates_Inh_EProduction :: Map NontermIdent Int
allSynmap_Inh_EProduction :: Map NontermIdent Attributes
allVisitKinds_Inh_EProduction :: Map VisitIdentifier VisitKind
allchildvisit_Inh_EProduction :: Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc))
allstates_Inh_EProduction :: Set StateIdentifier
avisitdefs_Inh_EProduction :: Map VisitIdentifier (Set Identifier)
avisituses_Inh_EProduction :: Map VisitIdentifier (Set Identifier)
classCtxs_Inh_EProduction :: ClassContext
importBlocks_Inh_EProduction :: PP_Doc
inhmap_Inh_EProduction :: Attributes
initial_Inh_EProduction :: StateIdentifier
localAttrTypes_Inh_EProduction :: Map ConstructorIdent (Map Identifier Type)
mainFile_Inh_EProduction :: String
mainName_Inh_EProduction :: String
moduleHeader_Inh_EProduction :: String -> String -> String -> Bool -> String
nextVisits_Inh_EProduction :: Map StateIdentifier StateCtx
nt_Inh_EProduction :: NontermIdent
ntType_Inh_EProduction :: Type
options_Inh_EProduction :: Options
params_Inh_EProduction :: [Identifier]
pragmaBlocks_Inh_EProduction :: String
prevVisits_Inh_EProduction :: Map StateIdentifier StateCtx
rename_Inh_EProduction :: Bool
synmap_Inh_EProduction :: Attributes
textBlocks_Inh_EProduction :: PP_Doc

data Syn_EProduction

Constructors

Syn_EProduction |

Fields

allvisits_Syn_EProduction :: [VisitStateState]
childvisit_Syn_EProduction :: Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc))
count_Syn_EProduction :: Int
datatype_Syn_EProduction :: PP_Doc
errors_Syn_EProduction :: Seq Error
fromToStates_Syn_EProduction :: Map VisitIdentifier (Int, Int)
genProdIO_Syn_EProduction :: IO ()
imports_Syn_EProduction :: [PP_Doc]
semFunBndDefs_Syn_EProduction :: Seq PP_Doc
semFunBndTps_Syn_EProduction :: Seq PP_Doc
sem_nt_Syn_EProduction :: PP_Doc
sem_prod_Syn_EProduction :: PP_Doc
t_visits_Syn_EProduction :: PP_Doc
visitKinds_Syn_EProduction :: Map VisitIdentifier VisitKind
visitdefs_Syn_EProduction :: Map VisitIdentifier (Set Identifier)
visituses_Syn_EProduction :: Map VisitIdentifier (Set Identifier)

wrap_EProduction :: T_EProduction -> Inh_EProduction -> Syn_EProduction

sem_EProduction_EProduction :: ConstructorIdent -> [Identifier] -> [Type] -> T_ERules -> T_EChildren -> T_Visits -> T_EProduction

sem_EProductions :: EProductions -> T_EProductions

newtype T_EProductions

Constructors

T_EProductions (Map VisitIdentifier (Int, Int) -> Map NontermIdent Attributes -> Map NontermIdent Int -> Map NontermIdent Attributes -> Map VisitIdentifier VisitKind -> Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc)) -> Set StateIdentifier -> Map VisitIdentifier (Set Identifier) -> Map VisitIdentifier (Set Identifier) -> ClassContext -> PP_Doc -> Attributes -> StateIdentifier -> Map ConstructorIdent (Map Identifier Type) -> String -> String -> (String -> String -> String -> Bool -> String) -> Map StateIdentifier StateCtx -> NontermIdent -> Type -> Options -> [Identifier] -> String -> Map StateIdentifier StateCtx -> Bool -> Attributes -> PP_Doc -> ([VisitStateState], Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc)), Int, [PP_Doc], Seq Error, Map VisitIdentifier (Int, Int), IO (), [PP_Doc], Seq PP_Doc, Seq PP_Doc, PP_Doc, PP_Doc, PP_Doc, Map VisitIdentifier VisitKind, Map VisitIdentifier (Set Identifier), Map VisitIdentifier (Set Identifier)))

data Inh_EProductions

Constructors

Inh_EProductions |

Fields

allFromToStates_Inh_EProductions :: Map VisitIdentifier (Int, Int)
allInhmap_Inh_EProductions :: Map NontermIdent Attributes
allInitStates_Inh_EProductions :: Map NontermIdent Int
allSynmap_Inh_EProductions :: Map NontermIdent Attributes
allVisitKinds_Inh_EProductions :: Map VisitIdentifier VisitKind
allchildvisit_Inh_EProductions :: Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc))
allstates_Inh_EProductions :: Set StateIdentifier
avisitdefs_Inh_EProductions :: Map VisitIdentifier (Set Identifier)
avisituses_Inh_EProductions :: Map VisitIdentifier (Set Identifier)
classCtxs_Inh_EProductions :: ClassContext
importBlocks_Inh_EProductions :: PP_Doc
inhmap_Inh_EProductions :: Attributes
initial_Inh_EProductions :: StateIdentifier
localAttrTypes_Inh_EProductions :: Map ConstructorIdent (Map Identifier Type)
mainFile_Inh_EProductions :: String
mainName_Inh_EProductions :: String
moduleHeader_Inh_EProductions :: String -> String -> String -> Bool -> String
nextVisits_Inh_EProductions :: Map StateIdentifier StateCtx
nt_Inh_EProductions :: NontermIdent
ntType_Inh_EProductions :: Type
options_Inh_EProductions :: Options
params_Inh_EProductions :: [Identifier]
pragmaBlocks_Inh_EProductions :: String
prevVisits_Inh_EProductions :: Map StateIdentifier StateCtx
rename_Inh_EProductions :: Bool
synmap_Inh_EProductions :: Attributes
textBlocks_Inh_EProductions :: PP_Doc

data Syn_EProductions

Constructors

Syn_EProductions |

Fields

allvisits_Syn_EProductions :: [VisitStateState]
childvisit_Syn_EProductions :: Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc))
count_Syn_EProductions :: Int
datatype_Syn_EProductions :: [PP_Doc]
errors_Syn_EProductions :: Seq Error
fromToStates_Syn_EProductions :: Map VisitIdentifier (Int, Int)
genProdIO_Syn_EProductions :: IO ()
imports_Syn_EProductions :: [PP_Doc]
semFunBndDefs_Syn_EProductions :: Seq PP_Doc
semFunBndTps_Syn_EProductions :: Seq PP_Doc
sem_nt_Syn_EProductions :: PP_Doc
sem_prod_Syn_EProductions :: PP_Doc
t_visits_Syn_EProductions :: PP_Doc
visitKinds_Syn_EProductions :: Map VisitIdentifier VisitKind
visitdefs_Syn_EProductions :: Map VisitIdentifier (Set Identifier)
visituses_Syn_EProductions :: Map VisitIdentifier (Set Identifier)

wrap_EProductions :: T_EProductions -> Inh_EProductions -> Syn_EProductions

sem_EProductions_Cons :: T_EProduction -> T_EProductions -> T_EProductions

sem_EProductions_Nil :: T_EProductions

sem_ERule :: ERule -> T_ERule

newtype T_ERule

Constructors

T_ERule (Map NontermIdent Attributes -> Map NontermIdent Attributes -> Map Identifier Type -> ConstructorIdent -> PP_Doc -> Attributes -> Set String -> Map Identifier Type -> String -> String -> (String -> String -> String -> Bool -> String) -> NontermIdent -> Options -> String -> Map Identifier (Set VisitKind) -> Attributes -> PP_Doc -> Map Identifier Int -> (Seq Error, Map Identifier (VisitKind -> FormatMode -> Either Error PP_Doc), Map Identifier (Set String), Map Identifier (Map String (Maybe NonLocalAttr)), PP_Doc))

data Inh_ERule

Constructors

Inh_ERule |

Fields

allInhmap_Inh_ERule :: Map NontermIdent Attributes
allSynmap_Inh_ERule :: Map NontermIdent Attributes
childTypes_Inh_ERule :: Map Identifier Type
con_Inh_ERule :: ConstructorIdent
importBlocks_Inh_ERule :: PP_Doc
inhmap_Inh_ERule :: Attributes
lazyIntras_Inh_ERule :: Set String
localAttrTypes_Inh_ERule :: Map Identifier Type
mainFile_Inh_ERule :: String
mainName_Inh_ERule :: String
moduleHeader_Inh_ERule :: String -> String -> String -> Bool -> String
nt_Inh_ERule :: NontermIdent
options_Inh_ERule :: Options
pragmaBlocks_Inh_ERule :: String
ruleKinds_Inh_ERule :: Map Identifier (Set VisitKind)
synmap_Inh_ERule :: Attributes
textBlocks_Inh_ERule :: PP_Doc
usageInfo_Inh_ERule :: Map Identifier Int

data Syn_ERule

Constructors

Syn_ERule |

Fields

errors_Syn_ERule :: Seq Error
mrules_Syn_ERule :: Map Identifier (VisitKind -> FormatMode -> Either Error PP_Doc)
ruledefs_Syn_ERule :: Map Identifier (Set String)
ruleuses_Syn_ERule :: Map Identifier (Map String (Maybe NonLocalAttr))
sem_rules_Syn_ERule :: PP_Doc

wrap_ERule :: T_ERule -> Inh_ERule -> Syn_ERule

sem_ERule_ERule :: Identifier -> T_Pattern -> T_Expression -> Bool -> String -> Bool -> Bool -> Maybe Error -> T_ERule

sem_ERules :: ERules -> T_ERules

newtype T_ERules

Constructors

T_ERules (Map NontermIdent Attributes -> Map NontermIdent Attributes -> Map Identifier Type -> ConstructorIdent -> PP_Doc -> Attributes -> Set String -> Map Identifier Type -> String -> String -> (String -> String -> String -> Bool -> String) -> NontermIdent -> Options -> String -> Map Identifier (Set VisitKind) -> Attributes -> PP_Doc -> Map Identifier Int -> (Seq Error, Map Identifier (VisitKind -> FormatMode -> Either Error PP_Doc), Map Identifier (Set String), Map Identifier (Map String (Maybe NonLocalAttr)), PP_Doc))

data Inh_ERules

Constructors

Inh_ERules |

Fields

allInhmap_Inh_ERules :: Map NontermIdent Attributes
allSynmap_Inh_ERules :: Map NontermIdent Attributes
childTypes_Inh_ERules :: Map Identifier Type
con_Inh_ERules :: ConstructorIdent
importBlocks_Inh_ERules :: PP_Doc
inhmap_Inh_ERules :: Attributes
lazyIntras_Inh_ERules :: Set String
localAttrTypes_Inh_ERules :: Map Identifier Type
mainFile_Inh_ERules :: String
mainName_Inh_ERules :: String
moduleHeader_Inh_ERules :: String -> String -> String -> Bool -> String
nt_Inh_ERules :: NontermIdent
options_Inh_ERules :: Options
pragmaBlocks_Inh_ERules :: String
ruleKinds_Inh_ERules :: Map Identifier (Set VisitKind)
synmap_Inh_ERules :: Attributes
textBlocks_Inh_ERules :: PP_Doc
usageInfo_Inh_ERules :: Map Identifier Int

data Syn_ERules

Constructors

Syn_ERules |

Fields

errors_Syn_ERules :: Seq Error
mrules_Syn_ERules :: Map Identifier (VisitKind -> FormatMode -> Either Error PP_Doc)
ruledefs_Syn_ERules :: Map Identifier (Set String)
ruleuses_Syn_ERules :: Map Identifier (Map String (Maybe NonLocalAttr))
sem_rules_Syn_ERules :: PP_Doc

wrap_ERules :: T_ERules -> Inh_ERules -> Syn_ERules

sem_ERules_Cons :: T_ERule -> T_ERules -> T_ERules

sem_ERules_Nil :: T_ERules

sem_ExecutionPlan :: ExecutionPlan -> T_ExecutionPlan

newtype T_ExecutionPlan

Constructors

T_ExecutionPlan (PP_Doc -> Map NontermIdent Attributes -> Map NontermIdent (Map ConstructorIdent (Map Identifier Type)) -> PP_Doc -> String -> String -> (String -> String -> String -> Bool -> String) -> Options -> String -> Map NontermIdent Attributes -> Map BlockInfo PP_Doc -> PP_Doc -> (Seq Error, IO (), PP_Doc)) |

data Inh_ExecutionPlan

Constructors

Inh_ExecutionPlan |

Fields

importBlocks_Inh_ExecutionPlan :: PP_Doc
inhmap_Inh_ExecutionPlan :: Map NontermIdent Attributes
localAttrTypes_Inh_ExecutionPlan :: Map NontermIdent (Map ConstructorIdent (Map Identifier Type))
mainBlocksDoc_Inh_ExecutionPlan :: PP_Doc
mainFile_Inh_ExecutionPlan :: String
mainName_Inh_ExecutionPlan :: String
moduleHeader_Inh_ExecutionPlan :: String -> String -> String -> Bool -> String
options_Inh_ExecutionPlan :: Options
pragmaBlocks_Inh_ExecutionPlan :: String
synmap_Inh_ExecutionPlan :: Map NontermIdent Attributes
textBlockMap_Inh_ExecutionPlan :: Map BlockInfo PP_Doc
textBlocks_Inh_ExecutionPlan :: PP_Doc

data Syn_ExecutionPlan

Constructors

Syn_ExecutionPlan |

Fields

errors_Syn_ExecutionPlan :: Seq Error
genIO_Syn_ExecutionPlan :: IO ()
output_Syn_ExecutionPlan :: PP_Doc

wrap_ExecutionPlan :: T_ExecutionPlan -> Inh_ExecutionPlan -> Syn_ExecutionPlan

sem_ExecutionPlan_ExecutionPlan :: T_ENonterminals -> TypeSyns -> Set NontermIdent -> Derivings -> T_ExecutionPlan

sem_Expression :: Expression -> T_Expression

newtype T_Expression

Constructors

T_Expression (Map String (Maybe NonLocalAttr), Pos, PP_Doc, [HsToken]) |

data Inh_Expression

Constructors

Inh_Expression |

data Syn_Expression

Constructors

Syn_Expression |

Fields

attrs_Syn_Expression :: Map String (Maybe NonLocalAttr)
pos_Syn_Expression :: Pos
semfunc_Syn_Expression :: PP_Doc
tks_Syn_Expression :: [HsToken]

wrap_Expression :: T_Expression -> Inh_Expression -> Syn_Expression

sem_Expression_Expression :: Pos -> [HsToken] -> T_Expression

sem_HsToken :: HsToken -> T_HsToken

newtype T_HsToken

Constructors

T_HsToken (Map String (Maybe NonLocalAttr), (Pos, String)) |

data Inh_HsToken

Constructors

Inh_HsToken |

data Syn_HsToken

Constructors

Syn_HsToken |

Fields

attrs_Syn_HsToken :: Map String (Maybe NonLocalAttr)
tok_Syn_HsToken :: (Pos, String)

wrap_HsToken :: T_HsToken -> Inh_HsToken -> Syn_HsToken

sem_HsToken_AGField :: Identifier -> Identifier -> Pos -> Maybe String -> T_HsToken

sem_HsToken_AGLocal :: Identifier -> Pos -> Maybe String -> T_HsToken

sem_HsToken_CharToken :: String -> Pos -> T_HsToken

sem_HsToken_Err :: String -> Pos -> T_HsToken

sem_HsToken_HsToken :: String -> Pos -> T_HsToken

sem_HsToken_StrToken :: String -> Pos -> T_HsToken

sem_HsTokens :: HsTokens -> T_HsTokens

newtype T_HsTokens

Constructors

T_HsTokens [(Pos, String)] |

data Inh_HsTokens

Constructors

Inh_HsTokens |

data Syn_HsTokens

Constructors

Syn_HsTokens |

Fields

tks_Syn_HsTokens :: [(Pos, String)]

wrap_HsTokens :: T_HsTokens -> Inh_HsTokens -> Syn_HsTokens

sem_HsTokens_Cons :: T_HsToken -> T_HsTokens -> T_HsTokens

sem_HsTokens_Nil :: T_HsTokens

sem_HsTokensRoot :: HsTokensRoot -> T_HsTokensRoot

newtype T_HsTokensRoot

Constructors

T_HsTokensRoot () |

data Inh_HsTokensRoot

Constructors

Inh_HsTokensRoot |

data Syn_HsTokensRoot

Constructors

Syn_HsTokensRoot |

wrap_HsTokensRoot :: T_HsTokensRoot -> Inh_HsTokensRoot -> Syn_HsTokensRoot

sem_HsTokensRoot_HsTokensRoot :: T_HsTokens -> T_HsTokensRoot

sem_Pattern :: Pattern -> T_Pattern

newtype T_Pattern

Constructors

T_Pattern (Map NontermIdent Attributes -> Map NontermIdent Attributes -> Bool -> Attributes -> Map Identifier Type -> Options -> Attributes -> (PP_Doc, Set String, Pattern, Bool, PP_Doc)) |

data Inh_Pattern

Constructors

Inh_Pattern |

Fields

allInhmap_Inh_Pattern :: Map NontermIdent Attributes
allSynmap_Inh_Pattern :: Map NontermIdent Attributes
anyLazyKind_Inh_Pattern :: Bool
inhmap_Inh_Pattern :: Attributes
localAttrTypes_Inh_Pattern :: Map Identifier Type
options_Inh_Pattern :: Options
synmap_Inh_Pattern :: Attributes

data Syn_Pattern

Constructors

Syn_Pattern |

Fields

attrTypes_Syn_Pattern :: PP_Doc
attrs_Syn_Pattern :: Set String
copy_Syn_Pattern :: Pattern
isUnderscore_Syn_Pattern :: Bool
sem_lhs_Syn_Pattern :: PP_Doc

wrap_Pattern :: T_Pattern -> Inh_Pattern -> Syn_Pattern

sem_Pattern_Alias :: Identifier -> Identifier -> T_Pattern -> T_Pattern

sem_Pattern_Constr :: ConstructorIdent -> T_Patterns -> T_Pattern

sem_Pattern_Irrefutable :: T_Pattern -> T_Pattern

sem_Pattern_Product :: Pos -> T_Patterns -> T_Pattern

sem_Pattern_Underscore :: Pos -> T_Pattern

sem_Patterns :: Patterns -> T_Patterns

newtype T_Patterns

Constructors

T_Patterns (Map NontermIdent Attributes -> Map NontermIdent Attributes -> Bool -> Attributes -> Map Identifier Type -> Options -> Attributes -> (PP_Doc, Set String, Patterns, [PP_Doc])) |

data Inh_Patterns

Constructors

Inh_Patterns |

Fields

allInhmap_Inh_Patterns :: Map NontermIdent Attributes
allSynmap_Inh_Patterns :: Map NontermIdent Attributes
anyLazyKind_Inh_Patterns :: Bool
inhmap_Inh_Patterns :: Attributes
localAttrTypes_Inh_Patterns :: Map Identifier Type
options_Inh_Patterns :: Options
synmap_Inh_Patterns :: Attributes

data Syn_Patterns

Constructors

Syn_Patterns |

Fields

attrTypes_Syn_Patterns :: PP_Doc
attrs_Syn_Patterns :: Set String
copy_Syn_Patterns :: Patterns
sem_lhs_Syn_Patterns :: [PP_Doc]

wrap_Patterns :: T_Patterns -> Inh_Patterns -> Syn_Patterns

sem_Patterns_Cons :: T_Pattern -> T_Patterns -> T_Patterns

sem_Patterns_Nil :: T_Patterns

sem_Visit :: Visit -> T_Visit

newtype T_Visit

Constructors

T_Visit (Map VisitIdentifier (Int, Int) -> Map NontermIdent Attributes -> Map NontermIdent Int -> Map NontermIdent Attributes -> Map VisitIdentifier VisitKind -> Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc)) -> Map StateIdentifier (Map String (Maybe NonLocalAttr)) -> Map VisitIdentifier (Set Identifier) -> Map VisitIdentifier (Set Identifier) -> Map Identifier Type -> Map Identifier (VisitKind -> FormatMode -> Either Error (PP_Doc, Set String, Map String (Maybe NonLocalAttr))) -> ConstructorIdent -> Attributes -> Map Identifier (VisitKind -> FormatMode -> Either Error PP_Doc) -> Map StateIdentifier StateCtx -> NontermIdent -> Options -> [Identifier] -> Map StateIdentifier StateCtx -> Map Identifier (Set String) -> Map Identifier (Map String (Maybe NonLocalAttr)) -> Attributes -> Set String -> (VisitStateState, Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc)), Seq Error, Map VisitIdentifier (Int, Int), Map StateIdentifier (Map String (Maybe NonLocalAttr)), Set String, Map Identifier (Set VisitKind), Map Identifier Int, (StateIdentifier, Bool -> PP_Doc), PP_Doc, Map VisitIdentifier VisitKind, Map VisitIdentifier (Set Identifier), Map VisitIdentifier (Set Identifier)))

data Inh_Visit

Constructors

Inh_Visit |

Fields

allFromToStates_Inh_Visit :: Map VisitIdentifier (Int, Int)
allInhmap_Inh_Visit :: Map NontermIdent Attributes
allInitStates_Inh_Visit :: Map NontermIdent Int
allSynmap_Inh_Visit :: Map NontermIdent Attributes
allVisitKinds_Inh_Visit :: Map VisitIdentifier VisitKind
allchildvisit_Inh_Visit :: Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc))
allintramap_Inh_Visit :: Map StateIdentifier (Map String (Maybe NonLocalAttr))
avisitdefs_Inh_Visit :: Map VisitIdentifier (Set Identifier)
avisituses_Inh_Visit :: Map VisitIdentifier (Set Identifier)
childTypes_Inh_Visit :: Map Identifier Type
childintros_Inh_Visit :: Map Identifier (VisitKind -> FormatMode -> Either Error (PP_Doc, Set String, Map String (Maybe NonLocalAttr)))
con_Inh_Visit :: ConstructorIdent
inhmap_Inh_Visit :: Attributes
mrules_Inh_Visit :: Map Identifier (VisitKind -> FormatMode -> Either Error PP_Doc)
nextVisits_Inh_Visit :: Map StateIdentifier StateCtx
nt_Inh_Visit :: NontermIdent
options_Inh_Visit :: Options
params_Inh_Visit :: [Identifier]
prevVisits_Inh_Visit :: Map StateIdentifier StateCtx
ruledefs_Inh_Visit :: Map Identifier (Set String)
ruleuses_Inh_Visit :: Map Identifier (Map String (Maybe NonLocalAttr))
synmap_Inh_Visit :: Attributes
terminaldefs_Inh_Visit :: Set String

data Syn_Visit

Constructors

Syn_Visit |

Fields

allvisits_Syn_Visit :: VisitStateState
childvisit_Syn_Visit :: Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc))
errors_Syn_Visit :: Seq Error
fromToStates_Syn_Visit :: Map VisitIdentifier (Int, Int)
intramap_Syn_Visit :: Map StateIdentifier (Map String (Maybe NonLocalAttr))
lazyIntras_Syn_Visit :: Set String
ruleKinds_Syn_Visit :: Map Identifier (Set VisitKind)
ruleUsage_Syn_Visit :: Map Identifier Int
sem_visit_Syn_Visit :: (StateIdentifier, Bool -> PP_Doc)
t_visits_Syn_Visit :: PP_Doc
visitKinds_Syn_Visit :: Map VisitIdentifier VisitKind
visitdefs_Syn_Visit :: Map VisitIdentifier (Set Identifier)
visituses_Syn_Visit :: Map VisitIdentifier (Set Identifier)

wrap_Visit :: T_Visit -> Inh_Visit -> Syn_Visit

sem_Visit_Visit :: VisitIdentifier -> StateIdentifier -> StateIdentifier -> Set Identifier -> Set Identifier -> T_VisitSteps -> VisitKind -> T_Visit

sem_VisitStep :: VisitStep -> T_VisitStep

newtype T_VisitStep

Constructors

T_VisitStep (Map VisitIdentifier (Int, Int) -> Map NontermIdent Int -> Map VisitIdentifier VisitKind -> Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc)) -> Map VisitIdentifier (Set Identifier) -> Map VisitIdentifier (Set Identifier) -> Map Identifier Type -> Map Identifier (VisitKind -> FormatMode -> Either Error (PP_Doc, Set String, Map String (Maybe NonLocalAttr))) -> FormatMode -> Int -> Bool -> VisitKind -> Map Identifier (VisitKind -> FormatMode -> Either Error PP_Doc) -> Options -> Int -> Map Identifier (Set String) -> Map Identifier (Map String (Maybe NonLocalAttr)) -> Bool -> (Set String, Seq Error, Int, Bool, Set String, Int, Map Identifier (Set VisitKind), Map Identifier Int, PP_Doc, PP_Doc, Map String (Maybe NonLocalAttr), Map VisitIdentifier VisitKind))

data Inh_VisitStep

Constructors

Inh_VisitStep |

Fields

allFromToStates_Inh_VisitStep :: Map VisitIdentifier (Int, Int)
allInitStates_Inh_VisitStep :: Map NontermIdent Int
allVisitKinds_Inh_VisitStep :: Map VisitIdentifier VisitKind
allchildvisit_Inh_VisitStep :: Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc))
avisitdefs_Inh_VisitStep :: Map VisitIdentifier (Set Identifier)
avisituses_Inh_VisitStep :: Map VisitIdentifier (Set Identifier)
childTypes_Inh_VisitStep :: Map Identifier Type
childintros_Inh_VisitStep :: Map Identifier (VisitKind -> FormatMode -> Either Error (PP_Doc, Set String, Map String (Maybe NonLocalAttr)))
fmtMode_Inh_VisitStep :: FormatMode
index_Inh_VisitStep :: Int
isLast_Inh_VisitStep :: Bool
kind_Inh_VisitStep :: VisitKind
mrules_Inh_VisitStep :: Map Identifier (VisitKind -> FormatMode -> Either Error PP_Doc)
options_Inh_VisitStep :: Options
prevMaxSimRefs_Inh_VisitStep :: Int
ruledefs_Inh_VisitStep :: Map Identifier (Set String)
ruleuses_Inh_VisitStep :: Map Identifier (Map String (Maybe NonLocalAttr))
useParallel_Inh_VisitStep :: Bool

data Syn_VisitStep

Constructors

Syn_VisitStep |

Fields

defs_Syn_VisitStep :: Set String
errors_Syn_VisitStep :: Seq Error
index_Syn_VisitStep :: Int
isLast_Syn_VisitStep :: Bool
lazyIntras_Syn_VisitStep :: Set String
prevMaxSimRefs_Syn_VisitStep :: Int
ruleKinds_Syn_VisitStep :: Map Identifier (Set VisitKind)
ruleUsage_Syn_VisitStep :: Map Identifier Int
sem_steps_Syn_VisitStep :: PP_Doc
sync_steps_Syn_VisitStep :: PP_Doc
uses_Syn_VisitStep :: Map String (Maybe NonLocalAttr)
visitKinds_Syn_VisitStep :: Map VisitIdentifier VisitKind

wrap_VisitStep :: T_VisitStep -> Inh_VisitStep -> Syn_VisitStep

sem_VisitStep_ChildIntro :: Identifier -> T_VisitStep

sem_VisitStep_ChildVisit :: Identifier -> NontermIdent -> VisitIdentifier -> T_VisitStep

sem_VisitStep_PureGroup :: T_VisitSteps -> Bool -> T_VisitStep

sem_VisitStep_Sem :: Identifier -> T_VisitStep

sem_VisitStep_Sim :: T_VisitSteps -> T_VisitStep

sem_VisitSteps :: VisitSteps -> T_VisitSteps

newtype T_VisitSteps

Constructors

T_VisitSteps (Map VisitIdentifier (Int, Int) -> Map NontermIdent Int -> Map VisitIdentifier VisitKind -> Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc)) -> Map VisitIdentifier (Set Identifier) -> Map VisitIdentifier (Set Identifier) -> Map Identifier Type -> Map Identifier (VisitKind -> FormatMode -> Either Error (PP_Doc, Set String, Map String (Maybe NonLocalAttr))) -> FormatMode -> Int -> VisitKind -> Map Identifier (VisitKind -> FormatMode -> Either Error PP_Doc) -> Options -> Int -> Map Identifier (Set String) -> Map Identifier (Map String (Maybe NonLocalAttr)) -> Bool -> (Set String, Seq Error, Int, Bool, Set String, Int, Map Identifier (Set VisitKind), Map Identifier Int, PP_Doc, Int, PP_Doc, Map String (Maybe NonLocalAttr), Map VisitIdentifier VisitKind))

data Inh_VisitSteps

Constructors

Inh_VisitSteps |

Fields

allFromToStates_Inh_VisitSteps :: Map VisitIdentifier (Int, Int)
allInitStates_Inh_VisitSteps :: Map NontermIdent Int
allVisitKinds_Inh_VisitSteps :: Map VisitIdentifier VisitKind
allchildvisit_Inh_VisitSteps :: Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc))
avisitdefs_Inh_VisitSteps :: Map VisitIdentifier (Set Identifier)
avisituses_Inh_VisitSteps :: Map VisitIdentifier (Set Identifier)
childTypes_Inh_VisitSteps :: Map Identifier Type
childintros_Inh_VisitSteps :: Map Identifier (VisitKind -> FormatMode -> Either Error (PP_Doc, Set String, Map String (Maybe NonLocalAttr)))
fmtMode_Inh_VisitSteps :: FormatMode
index_Inh_VisitSteps :: Int
kind_Inh_VisitSteps :: VisitKind
mrules_Inh_VisitSteps :: Map Identifier (VisitKind -> FormatMode -> Either Error PP_Doc)
options_Inh_VisitSteps :: Options
prevMaxSimRefs_Inh_VisitSteps :: Int
ruledefs_Inh_VisitSteps :: Map Identifier (Set String)
ruleuses_Inh_VisitSteps :: Map Identifier (Map String (Maybe NonLocalAttr))
useParallel_Inh_VisitSteps :: Bool

data Syn_VisitSteps

Constructors

Syn_VisitSteps |

Fields

defs_Syn_VisitSteps :: Set String
errors_Syn_VisitSteps :: Seq Error
index_Syn_VisitSteps :: Int
isLast_Syn_VisitSteps :: Bool
lazyIntras_Syn_VisitSteps :: Set String
prevMaxSimRefs_Syn_VisitSteps :: Int
ruleKinds_Syn_VisitSteps :: Map Identifier (Set VisitKind)
ruleUsage_Syn_VisitSteps :: Map Identifier Int
sem_steps_Syn_VisitSteps :: PP_Doc
size_Syn_VisitSteps :: Int
sync_steps_Syn_VisitSteps :: PP_Doc
uses_Syn_VisitSteps :: Map String (Maybe NonLocalAttr)
visitKinds_Syn_VisitSteps :: Map VisitIdentifier VisitKind

wrap_VisitSteps :: T_VisitSteps -> Inh_VisitSteps -> Syn_VisitSteps

sem_VisitSteps_Cons :: T_VisitStep -> T_VisitSteps -> T_VisitSteps

sem_VisitSteps_Nil :: T_VisitSteps

sem_Visits :: Visits -> T_Visits

newtype T_Visits

Constructors

T_Visits (Map VisitIdentifier (Int, Int) -> Map NontermIdent Attributes -> Map NontermIdent Int -> Map NontermIdent Attributes -> Map VisitIdentifier VisitKind -> Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc)) -> Map StateIdentifier (Map String (Maybe NonLocalAttr)) -> Map VisitIdentifier (Set Identifier) -> Map VisitIdentifier (Set Identifier) -> Map Identifier Type -> Map Identifier (VisitKind -> FormatMode -> Either Error (PP_Doc, Set String, Map String (Maybe NonLocalAttr))) -> ConstructorIdent -> Attributes -> Map Identifier (VisitKind -> FormatMode -> Either Error PP_Doc) -> Map StateIdentifier StateCtx -> NontermIdent -> Options -> [Identifier] -> Map StateIdentifier StateCtx -> Map Identifier (Set String) -> Map Identifier (Map String (Maybe NonLocalAttr)) -> Attributes -> Set String -> ([VisitStateState], Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc)), Seq Error, Map VisitIdentifier (Int, Int), Map StateIdentifier (Map String (Maybe NonLocalAttr)), Set String, Map Identifier (Set VisitKind), Map Identifier Int, [(StateIdentifier, Bool -> PP_Doc)], PP_Doc, Map VisitIdentifier VisitKind, Map VisitIdentifier (Set Identifier), Map VisitIdentifier (Set Identifier)))

data Inh_Visits

Constructors

Inh_Visits |

Fields

allFromToStates_Inh_Visits :: Map VisitIdentifier (Int, Int)
allInhmap_Inh_Visits :: Map NontermIdent Attributes
allInitStates_Inh_Visits :: Map NontermIdent Int
allSynmap_Inh_Visits :: Map NontermIdent Attributes
allVisitKinds_Inh_Visits :: Map VisitIdentifier VisitKind
allchildvisit_Inh_Visits :: Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc))
allintramap_Inh_Visits :: Map StateIdentifier (Map String (Maybe NonLocalAttr))
avisitdefs_Inh_Visits :: Map VisitIdentifier (Set Identifier)
avisituses_Inh_Visits :: Map VisitIdentifier (Set Identifier)
childTypes_Inh_Visits :: Map Identifier Type
childintros_Inh_Visits :: Map Identifier (VisitKind -> FormatMode -> Either Error (PP_Doc, Set String, Map String (Maybe NonLocalAttr)))
con_Inh_Visits :: ConstructorIdent
inhmap_Inh_Visits :: Attributes
mrules_Inh_Visits :: Map Identifier (VisitKind -> FormatMode -> Either Error PP_Doc)
nextVisits_Inh_Visits :: Map StateIdentifier StateCtx
nt_Inh_Visits :: NontermIdent
options_Inh_Visits :: Options
params_Inh_Visits :: [Identifier]
prevVisits_Inh_Visits :: Map StateIdentifier StateCtx
ruledefs_Inh_Visits :: Map Identifier (Set String)
ruleuses_Inh_Visits :: Map Identifier (Map String (Maybe NonLocalAttr))
synmap_Inh_Visits :: Attributes
terminaldefs_Inh_Visits :: Set String

data Syn_Visits

Constructors

Syn_Visits |

Fields

allvisits_Syn_Visits :: [VisitStateState]
childvisit_Syn_Visits :: Map VisitIdentifier (Identifier -> VisitKind -> Either Error (PP_Doc, PP_Doc))
errors_Syn_Visits :: Seq Error
fromToStates_Syn_Visits :: Map VisitIdentifier (Int, Int)
intramap_Syn_Visits :: Map StateIdentifier (Map String (Maybe NonLocalAttr))
lazyIntras_Syn_Visits :: Set String
ruleKinds_Syn_Visits :: Map Identifier (Set VisitKind)
ruleUsage_Syn_Visits :: Map Identifier Int
sem_visit_Syn_Visits :: [(StateIdentifier, Bool -> PP_Doc)]
t_visits_Syn_Visits :: PP_Doc
visitKinds_Syn_Visits :: Map VisitIdentifier VisitKind
visitdefs_Syn_Visits :: Map VisitIdentifier (Set Identifier)
visituses_Syn_Visits :: Map VisitIdentifier (Set Identifier)

wrap_Visits :: T_Visits -> Inh_Visits -> Syn_Visits

sem_Visits_Cons :: T_Visit -> T_Visits -> T_Visits

sem_Visits_Nil :: T_Visits

sem_EChild :: EChild -> T_EChild

newtype T_EChild

Constructors

T_EChild (Map NontermIdent Int -> ConstructorIdent -> PP_Doc -> String -> String -> (String -> String -> String -> Bool -> String) -> NontermIdent -> Options -> String -> PP_Doc -> (PP_Doc, PP_Doc, PP_Doc, Map Identifier Type, Map Identifier (VisitKind -> FormatMode -> Either Error (PP_Doc, Set String, Map String (Maybe NonLocalAttr))), PP_Doc, Set String)) |

data Inh_EChild

Constructors

Inh_EChild |

Fields

allInitStates_Inh_EChild :: Map NontermIdent Int
con_Inh_EChild :: ConstructorIdent
importBlocks_Inh_EChild :: PP_Doc
mainFile_Inh_EChild :: String
mainName_Inh_EChild :: String
moduleHeader_Inh_EChild :: String -> String -> String -> Bool -> String
nt_Inh_EChild :: NontermIdent
options_Inh_EChild :: Options
pragmaBlocks_Inh_EChild :: String
textBlocks_Inh_EChild :: PP_Doc

data Syn_EChild

Constructors

Syn_EChild |

Fields

argnamesw_Syn_EChild :: PP_Doc
argpats_Syn_EChild :: PP_Doc
argtps_Syn_EChild :: PP_Doc
childTypes_Syn_EChild :: Map Identifier Type
childintros_Syn_EChild :: Map Identifier (VisitKind -> FormatMode -> Either Error (PP_Doc, Set String, Map String (Maybe NonLocalAttr)))
datatype_Syn_EChild :: PP_Doc
terminaldefs_Syn_EChild :: Set String

wrap_EChild :: T_EChild -> Inh_EChild -> Syn_EChild

sem_EChild_EChild :: Identifier -> Type -> ChildKind -> Bool -> Maybe [Identifier] -> Bool -> T_EChild

classCtxsToDocs :: ClassContext -> [PP_Doc]

classConstrsToDocs :: [Type] -> [PP_Doc]

ppClasses :: [PP_Doc] -> PP_Doc

ppQuants :: [Identifier] -> PP_Doc

ppConFields :: Bool -> [PP_Doc] -> PP_Doc

ppTp :: Type -> PP_Doc

type VisitStateState = (VisitIdentifier, StateIdentifier, StateIdentifier)

conNmTVisit :: (PP b, PP a) => a -> b -> PP_Doc

conNmTVisitIn :: (PP b, PP a) => a -> b -> PP_Doc

conNmTVisitOut :: (PP b, PP a) => a -> b -> PP_Doc

conNmTNextVisit :: (PP b, PP a) => a -> b -> PP_Doc

ppMonadType :: Options -> PP_Doc

ppDefor :: Type -> PP_Doc

mklet :: (PP a, PP b, PP c) => a -> b -> c -> PP_Doc

resultValName :: String

nextStName :: String

parResultName :: String

fmtDecl :: PP a => Bool -> FormatMode -> a -> PP_Doc

stname :: Identifier -> Int -> String

compatibleAttach :: VisitKind -> NontermIdent -> Options -> Bool

unMon :: Options -> PP_Doc

dummyPat :: Options -> Bool -> PP_Doc

dummyArg :: Options -> Bool -> PP_Doc

dummyType :: Options -> Bool -> PP_Doc

ruleInlineThresholdSoft :: Int

ruleInlineThresholdHard :: Int

reallyOftenUsedThreshold :: Int

data NonLocalAttr

Constructors

AttrInh Identifier Identifier |
AttrSyn Identifier Identifier |

Instances

Show NonLocalAttr |

mkNonLocalAttr :: Bool -> Identifier -> Identifier -> NonLocalAttr

lookupAttrType :: NonLocalAttr -> Map Identifier Attributes -> Map Identifier Attributes -> Map Identifier Type -> Maybe PP_Doc

lookupType :: Identifier -> Identifier -> Map Identifier Attributes -> Map Identifier Type -> Maybe PP_Doc

noParameters :: Type -> Bool

compatibleKind :: VisitKind -> VisitKind -> Bool

compatibleRule :: VisitKind -> Bool -> Bool

unionWithSum :: Map Identifier Int -> Map Identifier Int -> Map Identifier Int

uwSetUnion :: (Ord a, Ord b) => Map a (Set b) -> Map a (Set b) -> Map a (Set b)

uwMapUnion :: (Ord a, Ord b) => Map a (Map b c) -> Map a (Map b c) -> Map a (Map b c)

renderDocs :: [PP_Doc] -> String

writeModule :: FilePath -> [PP_Doc] -> IO ()

ppNoInline :: PP a => a -> PP_Doc

ppInline :: PP a => a -> PP_Doc

ppInlinable :: PP a => a -> PP_Doc

ppPragmaBinding :: (PP a, PP b) => a -> b -> PP_Doc

ppCostCentre :: PP a => a -> PP_Doc

warrenFlagsPP :: Options -> PP_Doc